PATCH
/scim/v2/Users/{userId}

Authorization

Descope Project ID:Access Key
AuthorizationBearer <token>

Project ID:Access Key as bearer token.

In: header

Path Parameters

userId*string

Request Body

application/json

userId?string
groupId?string
operations?array<SCIMPatchOperation>

Patch SCIM User, using a valid access key.

curl -X PATCH "https://api.descope.com/scim/v2/Users/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "user": {    "schemas": [      "string"    ],    "id": "string",    "userName": "string",    "meta": {      "created": {},      "location": "string",      "lastModified": {},      "resourceType": "string"    },    "emails": [      {        "value": "string",        "primary": true,        "type": "string"      }    ],    "name": {      "givenName": "string",      "familyName": "string",      "middleName": "string"    },    "active": true,    "displayName": "string",    "detail": "string",    "attributes": {},    "status": 0  }}
export interface Response {user?: SCIMGetUsersResource}export interface SCIMGetUsersResource {schemas?: string[]id?: stringuserName?: stringmeta?: SCIMGetUsersResourceMetaemails?: {value?: stringprimary?: booleantype?: string}[]name?: {givenName?: stringfamilyName?: stringmiddleName?: string}active?: booleandisplayName?: stringdetail?: stringattributes?: {}status?: number}export interface SCIMGetUsersResourceMeta {created?: {}location?: stringlastModified?: {}resourceType?: string}
Was this helpful?

Load SCIM Service Provider Config GET

### Load the supported SCIM provisioning service provider configuration, using a valid access key. This API endpoint allows administrators to load the supported SCIM provisioning service provider configuration. The response includes detailed information on the applicable configurations and schemas within your IdP for SCIM provisioning. It is important to note the bearer token for SCIM API endpoints. The format is `ProjectId:AccessKey` the access key must be a SCIM access key scoped to the applicable tenant. Create one with the SCIM access key API, the SSO Setup Suite, or the Create SCIM Access Key flow action. ### See also - See [SCIM Management](/scim) for further details on managing SCIM provisioning.

Search SCIM Users GET

### Search SCIM users, using a valid access key. This endpoint allows administrators to search SCIM users. These users have been created and associated to the Application and Descope tenant. The response includes an array of user objects within the Resources object. These user objects include details about the users including their email, phone, username, name, etc. It is important to note the bearer token for SCIM API endpoints. The format is `ProjectId:AccessKey` the access key must be a SCIM access key scoped to the applicable tenant. Create one with the SCIM access key API, the SSO Setup Suite, or the Create SCIM Access Key flow action. ### Next Steps Once you have user data, you can utilize [Update SCIM Group](/api/management/tenants/scim/update-scim-group) to add or remove the user on groups. ### See also - See [SCIM Management](/scim) for further details on managing SCIM provisioning.